OpenNMS API 1.2.9

## org.opennms.netmgt.poller.pollables
Class PollEvent

    java.lang.Object
      org.opennms.netmgt.poller.pollables.PollEvent

Direct Known Subclasses:
  DbPollEvent, PendingPollEvent

public abstract class PollEvent
extends java.lang.Object

Represents a PollEvent

Author:
  brozow

Constructor Summary
`PollEvent()`

Method Summary
`abstract java.util.Date` `getDate()`
`abstract int` `getEventId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PollEvent

    public PollEvent()

Method Detail

### getEventId

    public abstract int getEventId()

### getDate

    public abstract java.util.Date getDate()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.